 const fontwin32 = require('bindings')('fontwin32.node');

 class FontWin32
 {
     constructor() {}

     listFonts()
     {
        return fontwin32.listFonts();
     }

     addFont(path)
     {
         return fontwin32.addFont(path);
     }

     removeFont(filename)
     {
        return fontwin32.removeFont(filename);
     }

     existsFont(facename)
     {
        return fontwin32.existsFont(facename);
     }
 }

 module.exports = new FontWin32();